Available in VPC
With the addition of image analysis feature, the existing "Register video asset" and "Analyze video asset" guides have been renamed to ‘"Register media asset" and "Analyze media asset," respectively.
Due to these API changes, this document will no longer be updated. For the latest information, see the Get media asset analysis status documentation.
Get the analysis status of a video asset registered in a project.
Request
| Method | URI |
|---|---|
| GET | /api/v1/workspaces/{workspace_name}/projects/{project_id}/video-assets/{video_asset_id}/analyze-status |
Request headers
For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.
Request path parameters
The following describes the parameters.
| Field | Type | Required | Description |
|---|---|---|---|
workspace_name |
String | Required | Workspace name |
project_id |
String | Required | Project ID
|
video_asset_id |
String | Required | Video asset ID
|
Request example
The request example is as follows:
curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/video-assets/5678/analyze-status' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
String | Required | API processing result code |
message |
String | Required | API processing result message |
result |
Object | Required | Video asset analysis status information |
result.status |
String | Required | Video analysis status
|
result.analyzeStatusMessage |
String | Optional | Reason for failed video analysis
|
result.indexId |
Integer | Optional | Index ID created on successful analysis |
Response status codes
For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.
Response example
The response example is as follows:
{
"code": "0",
"message": "success",
"result": {
"status": "ANALYZE_COMPLETED",
"analysisStatusMessage": null,
"indexId": 1001
}
}